## launchpad-integration 0.1.51

=== debian/changelog ===
launchpad-integration (0.1.51) natty; urgency=low

  * Install a launchpad-integration-3.0 VAPI file

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Feb 2011 14:21:44 +1100

launchpad-integration (0.1.50) natty; urgency=low

  * debian/control:
    - Use new build-depends for libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Feb 2011 14:15:37 +1100

launchpad-integration (0.1.49) natty; urgency=low

  * launchpadintegration/main.py: Add "apport-lpi" tag to our bugs, to better
    tell apart which ones were filed from the Help menu and which ones via
    command line. Also switch to "apport-bug" instead of "ubuntu-bug", as this
    is the more generic upstream name. (LP: #572504)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Feb 2011 10:14:45 +0100

launchpad-integration (0.1.48) natty; urgency=low

  * lib/Makefile.am: Correct usage of _PACKAGES and _EXPORT_PACKAGES when
    generating the gir file.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 25 Jan 2011 14:55:14 -0500

launchpad-integration (0.1.47) natty; urgency=low

  * launchpadintegration/main.py: updated to not break on python 2.7 since
    logging.StreamHandler's argument got renamed from strm to stream there

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jan 2011 17:36:36 +0100

launchpad-integration (0.1.46) natty; urgency=low

  * Rebuild against the latest GTK3 to fix linking issues

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 06 Jan 2011 16:06:58 +1100

launchpad-integration (0.1.45) natty; urgency=low

  [ Ken Vandine ]
  * lib/Makefile.am:
    - Specify LaunchpadIntegration_3_0_gir_PACKAGES

  [ Michael Terry ]
  * debian/control:
    - Rename gir1.0 to gir1.2 following abi change

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Dec 2010 15:29:51 -0500

launchpad-integration (0.1.44) natty; urgency=low

  * Drop 01_ltmain_add_as_needed.patch, and --as-needed option from
    debian/rules. The patch doesn't apply any more, and current gcc does
    --as-needed by default now.
  * Convert to 3.0 (native) source format.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes necessary).
  * Rebuild to support Python 2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Dec 2010 12:14:33 +0100

launchpad-integration (0.1.43) natty; urgency=low

  [ Michael Terry ]
  * debian/rules:
    - Fix FTBFS by installing the gtk3 library even on non-i386 builds

  [ Philip Peitsch ]
  * launchpadintegration/packageinfo.py:
    - Allow overriding STATUSFILE by specifying LPI_PACKAGE_FILE env var
  * launchpad-integration.in:
    - Allow overriding PYTHONPATH for easier testing

 -- Michael Terry <mterry@ubuntu.com>  Tue, 16 Nov 2010 11:15:33 -0500

launchpad-integration (0.1.42) natty; urgency=low

  * debian/liblaunchpad-integration-dev.install: use the correct vapi directory

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Nov 2010 16:58:53 +0100

launchpad-integration (0.1.41) natty; urgency=low

  * Provide GTK+ 3.0 version of the library too
  * debian/copyright:
    - Convert to DEP5 format
    - Update to LGPL-3 from GPL-2+

 -- Michael Terry <mterry@ubuntu.com>  Tue, 09 Nov 2010 14:36:55 -0500

launchpad-integration (0.1.40) natty; urgency=low

  * debian/liblaunchpad-integration-dev.install:
    - Install .vapi file into vala-0.12 directory

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 04 Nov 2010 17:01:39 +1100

launchpad-integration (0.1.39) natty; urgency=low

  * lib/Makefile.am:
    - Install .vapi file into vala-0.12 directory

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 04 Nov 2010 16:03:19 +1100
