=== debian/control ===
Source: launchpad-integration
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               autotools-dev,
               libbonoboui2-dev (>= 2.10.1-0ubuntu2),
               libgtk2.0-dev (>= 2.8.2),
               libgtk-3-dev (>= 2.91.3),
               python-gtk2-dev,
               python-gtk2-dbg,
               python-all-dev,
               python-all-dbg,
               python-central (>= 0.5),
               cli-common-dev (>= 0.7),
               mono-gmcs,
               libgtk2.0-cil-dev,
               libmono-dev,
               mono-devel,
               gobject-introspection,
               libgirepository1.0-dev (>= 0.9.3),
               gir1.2-gtk-3.0
XS-Python-Version: all
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/launchpad-integration/ubuntu
Standards-Version: 3.9.1
Section: libs

Package: launchpad-integration
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         lsb-release
Suggests: libgnome2-0, konqueror
XB-Python-Version: ${python:Versions}
Description: launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...

Package: gir1.2-launchpad-integration-3.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends}
Conflicts: gir1.0-launchpad-integration-3.0
Replaces: gir1.0-launchpad-integration-3.0
Description: library for launchpad integration (gir files)
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the gobject introspection information for the GTK+ 3.0
 version of the library.

Package: liblaunchpad-integration-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblaunchpad-integration1 (= ${binary:Version}),
         libgtk2.0-dev
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the header files and static libraries for the GTK+ 2.0
 version of the library.

Package: liblaunchpad-integration-3.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblaunchpad-integration-3.0-1 (= ${binary:Version}),
         libgtk-3-dev
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the header files and static libraries for the GTK+ 3.0
 version of the library.

Package: liblaunchpad-integration-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: liblaunchpad-integration1 (<< 0.1.41)
Breaks: liblaunchpad-integration1 (<< 0.1.41)
Description: library for launchpad integration common data
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the data files for the library.

Package: liblaunchpad-integration1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblaunchpad-integration-common
Recommends: launchpad-integration
Replaces: liblaunchpad-integration0
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the shared library for GTK+ 2.0.

Package: liblaunchpad-integration-3.0-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblaunchpad-integration-common
Recommends: launchpad-integration
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the shared library for GTK+ 3.0.

Package: liblpint-bonobo-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblpint-bonobo0 (= ${binary:Version}),
         libbonoboui2-dev,
         liblaunchpad-integration-dev
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the header files and static libraries.

Package: liblpint-bonobo0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: launchpad-integration
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the shared library.

Package: python-launchpad-integration
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Recommends: launchpad-integration
Provides: ${python:Provides}
Suggests: python-launchpad-integration-dbg
XB-Python-Version: ${python:Versions}
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the python bindings of the shared library.

Package: python-launchpad-integration-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python-launchpad-integration (= ${binary:Version}),
         python-dbg,
Description: library for launchpad integration (debug extension)
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the python bindings of the shared library, built
 for the python debug interpreter.

Package: liblaunchpad-integration1.0-cil
Priority: optional
Section: cli-mono
Architecture: any
Depends: ${misc:Depends},
         ${cli:Depends}
Conflicts: liblaunchpad-integration1-cil
Replaces: liblaunchpad-integration1-cil
Description: CLI bindings for liblaunchpad-integration
 This package provides the launchpad-integration-sharp assembly that allows
 CLI (.NET) programs to provide Launchpad menu items.
 .
 This package contains assemblies to be used by applications.

Package: liblaunchpad-integration-cil-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblaunchpad-integration1.0-cil (= ${binary:Version})
Description: CLI bindings for liblaunchpad-integration - development package
 This package contains development headers for the current version of the
 launchpad-integration-sharp assembly, for compilation purposes.
