## launchpad-integration 0.1.54

=== debian/changelog ===
launchpad-integration (0.1.54) oneiric; urgency=low

  * debian/control: Update NBS libmono-dev build dependency to
    libmono-2.0-dev.
  * debian/rules: Fix rules to also work for binary-only builds (-B).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Jun 2011 10:17:56 +0200

launchpad-integration (0.1.53) oneiric; urgency=low

  * debian/rules: Whoops, one more dh_pycentral to kill.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jun 2011 09:09:54 +0200

launchpad-integration (0.1.52) oneiric; urgency=low

  * debian/control, debian/rules: Move from pycentral to dh_python2.
  * Remove bonobo library. No reverse dependencies, and obsolete.
  * debian/control: Bump Standards-Version to 3.9.2 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jun 2011 08:41:33 +0200
