=== debian/control ===
--- 
+++ 
@@ -4,25 +4,23 @@
 Build-Depends: debhelper (>= 5),
                cdbs,
                autotools-dev,
-               libbonoboui2-dev (>= 2.10.1-0ubuntu2),
                libgtk2.0-dev (>= 2.8.2),
                libgtk-3-dev (>= 2.91.3),
                python-gtk2-dev,
                python-gtk2-dbg,
                python-all-dev,
                python-all-dbg,
-               python-central (>= 0.5),
                cli-common-dev (>= 0.7),
                mono-gmcs,
                libgtk2.0-cil-dev,
-               libmono-dev,
+               libmono-2.0-dev,
                mono-devel,
                gobject-introspection,
                libgirepository1.0-dev (>= 0.9.3),
                gir1.2-gtk-3.0
-XS-Python-Version: all
+X-Python-Version: >= 2.6
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/launchpad-integration/ubuntu
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 
 Package: launchpad-integration
@@ -32,7 +30,6 @@
          ${python:Depends},
          lsb-release
 Suggests: libgnome2-0, konqueror
-XB-Python-Version: ${python:Versions}
 Description: launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -130,35 +127,6 @@
   .
  This package contains the shared library for GTK+ 3.0.
 
-Package: liblpint-bonobo-dev
-Section: libdevel
-Architecture: any
-Depends: ${misc:Depends},
-         liblpint-bonobo0 (= ${binary:Version}),
-         libbonoboui2-dev,
-         liblaunchpad-integration-dev
-Description: library for launchpad integration
- The launchpad-integration tools provide an easy way to set menu items,
- for an application using BonoboUI, pointing to the launchpad pages  
- about a package. Users can get information about the used application here,
- translate it, ...
- .
- This package contains the header files and static libraries.
-
-Package: liblpint-bonobo0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: launchpad-integration
-Description: library for launchpad integration
- The launchpad-integration tools provide an easy way to set menu items,
- for an application using BonoboUI, pointing to the launchpad pages  
- about a package. Users can get information about the used application here,
- translate it, ...
-  .
- This package contains the shared library.
-
 Package: python-launchpad-integration
 Section: python
 Architecture: any
@@ -168,7 +136,6 @@
 Recommends: launchpad-integration
 Provides: ${python:Provides}
 Suggests: python-launchpad-integration-dbg
-XB-Python-Version: ${python:Versions}
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages
