=== debian/rules ===
--- 
+++ 
@@ -81,6 +81,9 @@
 	dh_girepository -p$(cdbs_curpkg)
 
 binary-install/launchpad-integration:: stamp-build-pyversions
+	dh_python2 -plaunchpad-integration
+
+common-install-prehook-arch:: stamp-build-gtk3
 ifneq (,$(strip $(OTHER_VERS)))
 	: # install for other python versions
 	set -e; \
@@ -100,16 +103,13 @@
 	  mv $$i $$(dirname $$i)/$${b}_d.so; \
 	done
 
-	dh_pycentral -plaunchpad-integration
-
-common-install-prehook-arch:: stamp-build-gtk3
 	: # install for GTK+ 3.0
 	$(MAKE) -C build-gtk3 DESTDIR=$(CURDIR)/debian/tmp install
 
-binary-install/python-launchpad-integration:: binary-install/launchpad-integration
-	DH_PYCENTRAL=nomove dh_pycentral -ppython-launchpad-integration
+binary-install/python-launchpad-integration::
+	dh_python2 -ppython-launchpad-integration
 
-binary-install/python-launchpad-integration-dbg:: binary-install/launchpad-integration
+binary-install/python-launchpad-integration-dbg::
 	: # XXXX
 
 binary-predeb/python-launchpad-integration-dbg::
