## launchpad-integration 0.1.56

=== debian/changelog ===
launchpad-integration (0.1.56) precise; urgency=low

  * Disable the "report a bug" entry for the stable serie
  * Workaround new automake restriction to fix build issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Apr 2012 16:39:08 +0200

launchpad-integration (0.1.55) precise; urgency=low

  * debian/control: Drop unnecessary ${python:Provides}.
  * debian/control: Fix build dependency, should be libmono-cil-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Jun 2011 10:38:11 +0200
