=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                cli-common-dev (>= 0.7),
                mono-gmcs,
                libgtk2.0-cil-dev,
-               libmono-2.0-dev,
+               libmono-cil-dev,
                mono-devel,
                gobject-introspection,
                libgirepository1.0-dev (>= 0.9.3),
@@ -134,7 +134,6 @@
          ${shlibs:Depends},
          ${python:Depends}
 Recommends: launchpad-integration
-Provides: ${python:Provides}
 Suggests: python-launchpad-integration-dbg
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
