## launchpad-integration 0.1.56.1

=== debian/changelog ===
launchpad-integration (0.1.56.1) precise-proposed; urgency=low

  * Add Breaks: libbrasero-media0 to liblaunchpad-integration-3.0-1,
    required to get the dist-upgrader to resolve lucid -> precise.
    Unversioned breaks as the package last existed in lucid. (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:15:45 -0400
