=== debian/control ===
--- 
+++ 
@@ -119,6 +119,7 @@
          ${shlibs:Depends},
          liblaunchpad-integration-common
 Recommends: launchpad-integration
+Breaks: libbrasero-media0
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages
