## launchpad-integration 0.1.56.2

=== debian/changelog ===
launchpad-integration (0.1.56.2) quantal-proposed; urgency=low

  * Drop the python -dbg binary, lpi is deprecated and the rules hacks
    create build issues, it's easier to just simply the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Sep 2012 19:06:19 +0200
