=== debian/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
                libgtk2.0-dev (>= 2.8.2),
                libgtk-3-dev (>= 2.91.3),
                python-gtk2-dev,
-               python-gtk2-dbg,
                python-all-dev,
-               python-all-dbg,
                cli-common-dev (>= 0.7),
                mono-gmcs,
                libgtk2.0-cil-dev,
@@ -144,23 +142,6 @@
   .
  This package contains the python bindings of the shared library.
 
-Package: python-launchpad-integration-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         python-launchpad-integration (= ${binary:Version}),
-         python-dbg,
-Description: library for launchpad integration (debug extension)
- The launchpad-integration tools provide an easy way to set menu items,
- for an application using BonoboUI, pointing to the launchpad pages  
- about a package. Users can get information about the used application here,
- translate it, ...
-  .
- This package contains the python bindings of the shared library, built
- for the python debug interpreter.
-
 Package: liblaunchpad-integration1.0-cil
 Priority: optional
 Section: cli-mono
